package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysDingGroupResult;
import com.qmth.sop.business.entity.SysDingGroup;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 考勤组表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDingGroupMapper extends BaseMapper<SysDingGroup> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysDingGroupResult> query(IPage<Map> iPage, @Param("query") String query, @Param("serviceId") Long serviceId);

}