package com.qmth.sop.business.mapper;

import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.entity.TBUserArchivesSupplier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员档案与供应商表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface TBUserArchivesSupplierMapper extends BaseMapper<TBUserArchivesSupplier> {

    List<SysUser> findUsersBySupplierId(@Param("supplierId") Long supplierId);
}
