package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.result.FlowTaskSmsResult;
import com.qmth.sop.business.entity.TSJobRemind;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 任务提醒表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-16
 */
public interface TSJobRemindMapper extends BaseMapper<TSJobRemind> {

    /**
     * 获取流程任务发送短信内容
     *
     * @param id
     * @return
     */
    FlowTaskSmsResult getFlowTaskRemindSmsInfo(@Param("id") Long id);
}
