package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TBViolationDetail;
import java.util.Map;

/**
 * 违规明细表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-09 10:33:08
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBViolationDetailService extends IService<TBViolationDetail>{


    /**
    * 新增修改违规明细表
    *
    * @param tBViolationDetail
    */
    Boolean saveTBViolationDetail(TBViolationDetail tBViolationDetail);


    /**
    * 删除违规明细表
    *
    * @param id
    */
    Boolean delete(Long id);


}