package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.TBProjectExchange;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 项目计划变更view result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/17
 */
public class TBProjectExchangeViewResult implements Serializable {

    @ApiModelProperty(value = "crm信息")
    CrmProjectResult crmInfo;

    @ApiModelProperty(value = "项目变更计划信息")
    TBProjectExchange tbProjectExchange;

    public TBProjectExchangeViewResult() {

    }

    public TBProjectExchangeViewResult(CrmProjectResult crmInfo, TBProjectExchange tbProjectExchange) {
        this.crmInfo = crmInfo;
        this.tbProjectExchange = tbProjectExchange;
    }

    public CrmProjectResult getCrmInfo() {
        return crmInfo;
    }

    public void setCrmInfo(CrmProjectResult crmInfo) {
        this.crmInfo = crmInfo;
    }

    public TBProjectExchange getTbProjectExchange() {
        return tbProjectExchange;
    }

    public void setTbProjectExchange(TBProjectExchange tbProjectExchange) {
        this.tbProjectExchange = tbProjectExchange;
    }
}
