package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.TBQualityProblemApply;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class TBQualityProblemApplyResult extends TBQualityProblemApply implements Serializable {

    @ApiModelProperty(value = "责任人")
    private String userNames;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty(value = "实施产品")
    private ProductTypeEnum sopType;


    @ApiModelProperty(value = "提交人")
    private String submitter;
    @ApiModelProperty(value = "提交时间")
    private long submissionTime;
    @ApiModelProperty(value = "状态，START：已开始，AUDITING：审核中，REJECT：已驳回，END：已终止，FINISH：已结束")
    private String status;
    @ApiModelProperty(value = "更新时间")
    private long updateDateTime;
    @ApiModelProperty(value = "当前节点")
    private String setup;
    @ApiModelProperty(value = "当前负责人")
    private String pendApproveUsers;

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public ProductTypeEnum getSopType() {
        return sopType;
    }

    public void setSopType(ProductTypeEnum sopType) {
        this.sopType = sopType;
    }

    public String getSubmitter() {
        return submitter;
    }

    public void setSubmitter(String submitter) {
        this.submitter = submitter;
    }

    public long getSubmissionTime() {
        return submissionTime;
    }

    public void setSubmissionTime(long submissionTime) {
        this.submissionTime = submissionTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public long getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(long updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getSetup() {
        return setup;
    }

    public void setSetup(String setup) {
        this.setup = setup;
    }

    public String getPendApproveUsers() {
        return pendApproveUsers;
    }

    public void setPendApproveUsers(String pendApproveUsers) {
        this.pendApproveUsers = pendApproveUsers;
    }

    public String getUserNames() {
        return userNames;
    }

    public void setUserNames(String userNames) {
        this.userNames = userNames;
    }
}
