package com.qmth.sop.business.service;

import com.qmth.sop.business.bean.dto.AreaDto;
import com.qmth.sop.business.entity.TBServiceRegionDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务区域规划明细表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface TBServiceRegionDetailService extends IService<TBServiceRegionDetail> {
    /**
     * 绑定服务单元的区域规划详情
     *
     * @param serviceRegionId 服务单元规划
     * @param areaDtoList     区域信息
     */
    void bindServiceRegionAreas(Long serviceRegionId, List<AreaDto> areaDtoList);
}
